summaryrefslogtreecommitdiff
path: root/recipes-extended/rsyslog/rsyslog/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-extended/rsyslog/rsyslog/run-ptest')
-rw-r--r--recipes-extended/rsyslog/rsyslog/run-ptest12
1 files changed, 12 insertions, 0 deletions
diff --git a/recipes-extended/rsyslog/rsyslog/run-ptest b/recipes-extended/rsyslog/rsyslog/run-ptest
new file mode 100644
index 0000000..efa9ba3
--- /dev/null
+++ b/recipes-extended/rsyslog/rsyslog/run-ptest
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+set -e
+set -o pipefail
+
+SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )"
+cd ${SCRIPTPATH}
+useradd tester || echo "user already exists"
+ln -sf /usr/sbin/logrotate /usr/bin/logrotate
+su tester -c "make -C tests -k check-TESTS"
+userdel tester
+rm -f /usr/bin/logrotate